- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
MWAWFontConverterInternal::Data::KnownConversion Class Reference

## Public Member Functions
| KnownConversion ()
| constructor More...
Data::ConversionData const & | getConversionMaps (std::string fName)
| returns the conversion map which corresponds to a name, or the default map More...
void | setFamily (std::string const &fName, std::string const &family)
| set a family correspondance More...
ConversionData const & | getDefault () const
| return the default converter More...

## Protected Member Functions
void | initMaps ()
| Internal and Low level: initializes all the conversion maps. More...

## Static Protected Member Functions
static void | initAMap (int const *arr, size_t numElt, std::map< unsigned char, unsigned long > &map)
| Internal and Low level: initializes a map with a vector of numElt elements (char, unicode) More...

## Protected Attributes
std::map< std::string, ConversionData const * > | m_convertMap
| the conversiont map fName -> ConversionData More...
std::map< std::string, std::string > | m_familyMap
| Internal and Low level: map font name -> family font name. More...
std::map< unsigned char, unsigned long > | m_romanMap
| Internal and Low level: map char -> unicode for roman font. More...
std::map< unsigned char, unsigned long > | m_centralEuroMap
| Internal and Low level: map char -> unicode for central european font. More...
std::map< unsigned char, unsigned long > | m_cyrillicMap
| Internal and Low level: map char -> unicode for cyrillic font. More...
std::map< unsigned char, unsigned long > | m_turkishMap
| Internal and Low level: map char -> unicode for turkish font. More...
std::map< unsigned char, unsigned long > | m_symbolMap
| Internal and Low level: map char -> unicode for symbol font. More...
std::map< unsigned char, unsigned long > | m_dingbatsMap
| Internal and Low level: map char -> unicode for dingbats font. More...
std::map< unsigned char, unsigned long > | m_cursiveMap
| Internal and Low level: map char -> unicode for cursive font. More...
std::map< unsigned char, unsigned long > | m_mathMap
| Internal and Low level: map char -> unicode for math font. More...
std::map< unsigned char, unsigned long > | m_scientificMap
| Internal and Low level: map char -> unicode for scientific font. More...
std::map< unsigned char, unsigned long > | m_wingdingsMap
| Internal and Low level: map char -> unicode for wingdings font. More...
std::map< unsigned char, unsigned long > | m_SJISMap
| Internal and Low level: simplified map char -> unicode for SJIS font. More...
std::map< unsigned char, unsigned long > | m_unknown107Map
| Internal and Low level: map char -> unicode for font 107. More...
std::map< unsigned char, unsigned long > | m_unknown128Map
| Internal and Low level: map char -> unicode for font 128. More...
std::map< unsigned char, unsigned long > | m_unknown200Map
| Internal and Low level: map char -> unicode for font 200. More...
ConversionData | m_defaultConv
| Internal and Low level: the default converter: roman. More...
ConversionData | m_centralEuroConv
| Internal and Low level: the default converter: central european. More...
ConversionData | m_cyrillicConv
| Internal and Low level: the default converter: cyrillic. More...
ConversionData | m_turkishConv
| Internal and Low level: the default converter: turkish. More...
ConversionData | m_timeConv
| Internal and Low level: the converter for times font. More...
ConversionData | m_zapfChanceryConv
| Internal and Low level: the converter for zapfChancery font. More...
ConversionData | m_symbolConv
| Internal and Low level: the converter for symbol font. More...
ConversionData | m_dingbatsConv
| Internal and Low level: the converter for dingbats font. More...
ConversionData | m_cursiveConv
| Internal and Low level: the converter for cursive font. More...
ConversionData | m_mathConv
| Internal and Low level: the converter for math font. More...
ConversionData | m_scientificConv
| Internal and Low level: the converter for scientific font. More...
ConversionData | m_wingdingsConv
| Internal and Low level: the converter for wingdings font. More...
ConversionData | m_SJISConv
| Internal and Low level: the converter for SJIS font. More...
ConversionData | m_unknown107Conv
| Internal and Low level: the converter for font 107. More...
ConversionData | m_unknown128Conv
| Internal and Low level: the converter for font 128. More...
ConversionData | m_unknown200Conv
| Internal and Low level: the converter for font 200. More...

## Constructor & Destructor Documentation

MWAWFontConverterInternal::Data::KnownConversion::KnownConversion | ( |  | ) |
| inline

constructor

## Member Function Documentation

ConversionData const & MWAWFontConverterInternal::Data::KnownConversion::getConversionMaps | ( | std::string | fName | ) |

returns the conversion map which corresponds to a name, or the default map

Referenced by MWAWFontConverterInternal::State::getOdtInfo(), and MWAWFontConverterInternal::State::updateCache().

ConversionData const& MWAWFontConverterInternal::Data::KnownConversion::getDefault | ( |  | ) | const
| inline

return the default converter

static void MWAWFontConverterInternal::Data::KnownConversion::initAMap | ( | int const * | arr,
|  | size_t | numElt,
|  | std::map< unsigned char, unsigned long > & | map
| ) |  |
| inline static protected

Internal and Low level: initializes a map with a vector of numElt elements (char, unicode)

Referenced by initMaps().

void MWAWFontConverterInternal::Data::KnownConversion::initMaps | ( |  | ) |
| protected

Internal and Low level: initializes all the conversion maps.

Referenced by KnownConversion().

void MWAWFontConverterInternal::Data::KnownConversion::setFamily | ( | std::string const & | fName,
|  | std::string const & | family
| ) |  |
| inline

set a family correspondance

Referenced by MWAWFontConverterInternal::State::setCorrespondance().

## Member Data Documentation

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_centralEuroConv
| protected

Internal and Low level: the default converter: central european.

Referenced by getConversionMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_centralEuroMap
| protected

Internal and Low level: map char -> unicode for central european font.

Referenced by initMaps().

std::map<std::string, ConversionData const *> MWAWFontConverterInternal::Data::KnownConversion::m_convertMap
| protected

the conversiont map fName -> ConversionData

Referenced by getConversionMaps(), and initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_cursiveConv
| protected

Internal and Low level: the converter for cursive font.

Referenced by initMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_cursiveMap
| protected

Internal and Low level: map char -> unicode for cursive font.

Referenced by initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_cyrillicConv
| protected

Internal and Low level: the default converter: cyrillic.

Referenced by getConversionMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_cyrillicMap
| protected

Internal and Low level: map char -> unicode for cyrillic font.

Referenced by initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_defaultConv
| protected

Internal and Low level: the default converter: roman.

Referenced by getConversionMaps(), getDefault(), and initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_dingbatsConv
| protected

Internal and Low level: the converter for dingbats font.

Referenced by initMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_dingbatsMap
| protected

Internal and Low level: map char -> unicode for dingbats font.

Referenced by initMaps().

std::map<std::string, std::string> MWAWFontConverterInternal::Data::KnownConversion::m_familyMap
| protected

Internal and Low level: map font name -> family font name.

Referenced by getConversionMaps(), initMaps(), and setFamily().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_mathConv
| protected

Internal and Low level: the converter for math font.

Referenced by initMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_mathMap
| protected

Internal and Low level: map char -> unicode for math font.

Referenced by initMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_romanMap
| protected

Internal and Low level: map char -> unicode for roman font.

Referenced by initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_scientificConv
| protected

Internal and Low level: the converter for scientific font.

Referenced by initMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_scientificMap
| protected

Internal and Low level: map char -> unicode for scientific font.

Referenced by initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_SJISConv
| protected

Internal and Low level: the converter for SJIS font.

Referenced by initMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_SJISMap
| protected

Internal and Low level: simplified map char -> unicode for SJIS font.

Referenced by initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_symbolConv
| protected

Internal and Low level: the converter for symbol font.

Referenced by initMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_symbolMap
| protected

Internal and Low level: map char -> unicode for symbol font.

Referenced by initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_timeConv
| protected

Internal and Low level: the converter for times font.

Referenced by initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_turkishConv
| protected

Internal and Low level: the default converter: turkish.

Referenced by getConversionMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_turkishMap
| protected

Internal and Low level: map char -> unicode for turkish font.

Referenced by initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_unknown107Conv
| protected

Internal and Low level: the converter for font 107.

Referenced by initMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_unknown107Map
| protected

Internal and Low level: map char -> unicode for font 107.

Referenced by initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_unknown128Conv
| protected

Internal and Low level: the converter for font 128.

Referenced by initMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_unknown128Map
| protected

Internal and Low level: map char -> unicode for font 128.

Referenced by initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_unknown200Conv
| protected

Internal and Low level: the converter for font 200.

Referenced by initMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_unknown200Map
| protected

Internal and Low level: map char -> unicode for font 200.

Referenced by initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_wingdingsConv
| protected

Internal and Low level: the converter for wingdings font.

Referenced by initMaps().

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_wingdingsMap
| protected

Internal and Low level: map char -> unicode for wingdings font.

Referenced by initMaps().

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_zapfChanceryConv
| protected

Internal and Low level: the converter for zapfChancery font.

Referenced by initMaps().

The documentation for this class was generated from the following file:

- MWAWFontConverter.cxx